## GeditStatusbar

GeditStatusbar

## Functions

GtkWidget * | gedit_statusbar_new ()
void | gedit_statusbar_set_window_state ()
void | gedit_statusbar_set_overwrite ()
void | gedit_statusbar_clear_overwrite ()
void | gedit_statusbar_flash_message ()

## Types and Values

| GeditStatusbarPrivate
struct | GeditStatusbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkStatusbar
                            ╰── GeditStatusbar

## Implemented Interfaces

GeditStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gedit_statusbar_new ()

    GtkWidget *
    gedit_statusbar_new (void);

Creates a new GeditStatusbar.

#### Returns

the new GeditStatusbar object

### gedit_statusbar_set_window_state ()

    void
    gedit_statusbar_set_window_state (GeditStatusbar *statusbar,
                                      GeditWindowState state,
                                      gint num_of_errors);

### gedit_statusbar_set_overwrite ()

    void
    gedit_statusbar_set_overwrite (GeditStatusbar *statusbar,
                                   gboolean overwrite);

Sets the overwrite mode on the statusbar.

#### Parameters

statusbar | a GeditStatusbar |
overwrite | if the overwrite mode is set |

### gedit_statusbar_clear_overwrite ()

    void
    gedit_statusbar_clear_overwrite (GeditStatusbar *statusbar);

### gedit_statusbar_flash_message ()

    void
    gedit_statusbar_flash_message (GeditStatusbar *statusbar,
                                   guint context_id,
                                   const gchar *format,
                                   ...);

Flash a temporary message on the statusbar.

#### Parameters

statusbar | a GeditStatusbar |
context_id | message context_id |
format | message to flash on the statusbar |
... | the arguments to insert in `format` |

## Types and Values

### GeditStatusbarPrivate

    typedef struct _GeditStatusbarPrivate GeditStatusbarPrivate;

### struct GeditStatusbar

    struct GeditStatusbar;